TFF_CONVERT_DSI_STUDIO.PY(1)

NAME
tff_convert_dsi_studio.py - fix DSI-Studio TRK file

DESCRIPTION
usage: tff_convert_dsi_studio.py [-h] [--remove_invalid | --keep_invalid] [-f]

    IN_DSI_TRACTOGRAM IN_DSI_FA OUT_TRACTOGRAM

This script is made to fix DSI-Studio TRK file (unknown space/convention) to make it compatible with TrackVis, MI-Brain, Dipy Horizon (Stateful Tractogram).

The script either make it match with an anatomy from DSI-Studio.

This script was tested on various datasets and worked on all of them. However, always verify the results and if a specific case does not work. Open an issue on the Scilpy GitHub repository.

WARNING: This script is still experimental, DSI-Studio evolves quickly and results may vary depending on the data itself as well as DSI-studio version.

  positional arguments:

IN_DSI_TRACTOGRAM
    Path of the input tractogram file from DSI studio (.trk).

IN_DSI_FA
    Path of the input FA from DSI Studio (.nii.gz).

OUT_TRACTOGRAM
    Path of the output tractogram file.

  options:

-h, --help
    show this help message and exit

--remove_invalid
    Remove the streamlines landing out of the bounding box.

--keep_invalid
    Keep the streamlines landing out of the bounding box.

-f  Force overwriting of the output files.